EVERYEXPR(3)

NAME
everyExpr - returns the value of a logical AND applied on the results of the application of a function on the argument of an operator expression.

SYNOPSYS
#include "logmmm.h"
int everyExpr(func,expr)
int (*func)();
chain_list *expr;

PARAMETERS

func
    function to apply

expr
    expression

DESCRIPTION
everyExpr() applies a boolean function func() to all th arguments of expr and computes a logical AND. func() must be an integer function that is false if 0 is returned and true otherwise and must have an expression as argument.

EXAMPLE
#include "mutnnn.h"		/* mbk utilities */
#include "logmmm.h"
chain_list *expr;
expr = createExpr(XOR);
addQExpr(expr,createAtom("a"));
addQExpr(expr,createAtom("b"));
	/* profExpr returns 0 when expr is an atomic expression */
if (everyExpr(profExpr,expr))
   printf("expr is only made up of operator expressions");
freeExpr(expr);

SEE ALSO
log(1), abl(1), anyExpr(3), mapExpr(3), mapCarExpr(3).